/**
 * Created by mgoria on 6/25/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FailedToCreateTablesException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let FailedToCreateTablesException = exports.FailedToCreateTablesException = function (_Exception) {
  _inherits(FailedToCreateTablesException, _Exception);

  /**
   * @param {Array} tablesNames
   * @param {String} error
   */
  function FailedToCreateTablesException(tablesNames, error) {
    _classCallCheck(this, FailedToCreateTablesException);

    return _possibleConstructorReturn(this, (FailedToCreateTablesException.__proto__ || Object.getPrototypeOf(FailedToCreateTablesException)).call(this, `Failed to create ${tablesNames} tables. ${error}`));
  }

  return FailedToCreateTablesException;
}(_Exception2.Exception);