/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ServerAlreadyRunningException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let ServerAlreadyRunningException = exports.ServerAlreadyRunningException = function (_Exception) {
  _inherits(ServerAlreadyRunningException, _Exception);

  /**
   * @param {Object} driver
   */
  function ServerAlreadyRunningException(driver) {
    _classCallCheck(this, ServerAlreadyRunningException);

    return _possibleConstructorReturn(this, (ServerAlreadyRunningException.__proto__ || Object.getPrototypeOf(ServerAlreadyRunningException)).call(this, `The DB server ${driver.constructor.name} on port ${driver.port} is already running`));
  }

  return ServerAlreadyRunningException;
}(_Exception2.Exception);