/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ServerTtsExceededException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let ServerTtsExceededException = exports.ServerTtsExceededException = function (_Exception) {
  _inherits(ServerTtsExceededException, _Exception);

  /**
   * @param {Object} driver
   * @param {Number} tts
   */
  function ServerTtsExceededException(driver, tts) {
    _classCallCheck(this, ServerTtsExceededException);

    return _possibleConstructorReturn(this, (ServerTtsExceededException.__proto__ || Object.getPrototypeOf(ServerTtsExceededException)).call(this, `The DB server's ${driver.constructor.name} tts of ${tts} seconds exceeded`));
  }

  return ServerTtsExceededException;
}(_Exception2.Exception);