/**
 * Created by AlexanderC on 6/15/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModelNotFoundException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when missing requested model
 */
class ModelNotFoundException extends _Exception.Exception {
  /**
   * @param {String} modelName
   */
  constructor(modelName) {
    super(`Model ${modelName} was not found`);
  }
}
exports.ModelNotFoundException = ModelNotFoundException;