/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FailedToStartServerException = undefined;

var _Exception = require('./Exception');

class FailedToStartServerException extends _Exception.Exception {
  /**
   * @param {Object} driver
   * @param {String} error
   */
  constructor(driver, error) {
    super(`Failed to start DB server ${driver.constructor.name} on port ${driver.port}: ${error}`);
  }
}
exports.FailedToStartServerException = FailedToStartServerException;