/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ServerTtsExceededException = undefined;

var _Exception = require('./Exception');

class ServerTtsExceededException extends _Exception.Exception {
  /**
   * @param {Object} driver
   * @param {Number} tts
   */
  constructor(driver, tts) {
    super(`The DB server's ${driver.constructor.name} tts of ${tts} seconds exceeded`);
  }
}
exports.ServerTtsExceededException = ServerTtsExceededException;