/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PathAwareDriver = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _AbstractDriver2 = require('./AbstractDriver');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let PathAwareDriver = exports.PathAwareDriver = function (_AbstractDriver) {
  _inherits(PathAwareDriver, _AbstractDriver);

  /**
   * @param {String} path
   * @param {Number} port
   */
  function PathAwareDriver() {
    let path = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : PathAwareDriver.DBPath;
    let port = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : PathAwareDriver.DEFAULT_PORT;

    _classCallCheck(this, PathAwareDriver);

    var _this = _possibleConstructorReturn(this, (PathAwareDriver.__proto__ || Object.getPrototypeOf(PathAwareDriver)).call(this, port));

    _this._path = path;
    return _this;
  }

  /**
   * @returns {String}
   */


  _createClass(PathAwareDriver, [{
    key: 'path',
    get: function get() {
      return this._path;
    }

    /**
     * @param {String} path
     */
    ,
    set: function set(path) {
      this._path = path;
    }

    /**
     * @returns {String}
     */

  }], [{
    key: 'DBPath',
    get: function get() {
      let dir = _path2.default.join(_os2.default.tmpdir(), this.name);

      // @todo: do it async!
      if (!_fs2.default.existsSync(dir)) {
        _fs2.default.mkdirSync(dir);
      }

      return dir;
    }
  }]);

  return PathAwareDriver;
}(_AbstractDriver2.AbstractDriver);