/**
 * Created by Stefan Hariton on 6/26/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UndefinedMethodException = undefined;

var _Exception2 = require('./Exception');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Thrown when undefined method is requested
 */
let UndefinedMethodException = exports.UndefinedMethodException = function (_Exception) {
  _inherits(UndefinedMethodException, _Exception);

  /**
   * @param {String} name
   * @param {String[]} availableMethods
   */
  function UndefinedMethodException(name, availableMethods) {
    _classCallCheck(this, UndefinedMethodException);

    return _possibleConstructorReturn(this, (UndefinedMethodException.__proto__ || Object.getPrototypeOf(UndefinedMethodException)).call(this, `Method: ${name} does not exist. Available methods:${availableMethods}).`));
  }

  return UndefinedMethodException;
}(_Exception2.Exception);