/**
 * Created by AlexanderC on 6/25/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FailedToCreateTableException = undefined;

var _Exception = require('./Exception');

class FailedToCreateTableException extends _Exception.Exception {
  /**
   * @param {String} tableName
   */
  constructor(tableName) {
    super(`Failed to create table for model ${tableName}`);
  }
}
exports.FailedToCreateTableException = FailedToCreateTableException;