/**
 * Created by mgoria on 6/25/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FailedToCreateTablesException = undefined;

var _Exception = require('./Exception');

class FailedToCreateTablesException extends _Exception.Exception {
  /**
   * @param {Array} tablesNames
   * @param {String} error
   */
  constructor(tablesNames, error) {
    super(`Failed to create ${tablesNames} tables. ${error}`);
  }
}
exports.FailedToCreateTablesException = FailedToCreateTablesException;