/**
 * Created by AlexanderC on 9/23/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ServerAlreadyRunningException = undefined;

var _Exception = require('./Exception');

class ServerAlreadyRunningException extends _Exception.Exception {
  /**
   * @param {Object} driver
   */
  constructor(driver) {
    super(`The DB server ${driver.constructor.name} on port ${driver.port} is already running`);
  }
}
exports.ServerAlreadyRunningException = ServerAlreadyRunningException;